//
//  SSMenuExtraView.m
//  SoundSource
//
//  Created by Quentin Carnicelli on 3/23/06.
//  Copyright 2006 Rogue Amoeba Software, LLC. All rights reserved.
//

#import "SSMenuExtraView.h"

@implementation SSMenuExtraView

+ (NSImage*)_loadImageNamed: (NSString*)name
{
	NSString *path;
	NSImage* image;

	path = [[NSBundle bundleForClass: self] pathForImageResource:name];
	if( path )
		image = [[[NSImage alloc] initWithContentsOfFile:path] autorelease];
	return image;
}

+ (NSImage*)_headphonesImage: (BOOL)highlighted
{
	static NSImage* bgImage = nil;
	static NSImage* bgImageAlt = nil;
	NSImage* image;
	
		if( bgImageAlt == nil )
			bgImageAlt = [[self _loadImageNamed: @"menuIconAlt"] retain];
		if( bgImage == nil )
			bgImage = [[self _loadImageNamed: @"menuIcon"] retain];
	
	return highlighted ? bgImageAlt : bgImage;
}

+ (NSSize)contentSize
{
	NSSize size;
	size.height = [[NSStatusBar systemStatusBar] thickness];
	size.width = [[self _headphonesImage: NO] size].width + 6;
	return size;
}

- (void)drawRect:(NSRect)frame
{
	BOOL highlighted;

	highlighted = [_menuExtra isMenuDown];

	[[[self class] _headphonesImage: highlighted] compositeToPoint: NSMakePoint(3, 3) operation: NSCompositeSourceOver];
}

@end
