//
//  SSPreferences.m
//  SoundSource
//
//  Created by Quentin Carnicelli on 8/12/07.
//  Copyright 2007 Rogue Amoeba Software, LLC. All rights reserved.
//

#import "SSPreferences.h"

@implementation SSPreferences

- (NSString*)_bundleID
{
	return [[NSBundle bundleForClass: [self class]] bundleIdentifier];
}

- (void)_storeValue: (id)val forKey: (NSString*)key
{
	NSDictionary* defaults = [[NSUserDefaults standardUserDefaults] persistentDomainForName: [self _bundleID]];
	NSMutableDictionary* newDefaults = [defaults mutableCopy];
	
	if( newDefaults == nil )
		newDefaults = [NSMutableDictionary dictionary];
	
	[newDefaults setObject: val forKey: key];
	[[NSUserDefaults standardUserDefaults] setPersistentDomain: newDefaults forName: [self _bundleID]];
	[[NSUserDefaults standardUserDefaults] synchronize];
}

- (id)_loadValueForKey: (NSString*)key
{
	NSDictionary* defaults = [[NSUserDefaults standardUserDefaults] persistentDomainForName: [self _bundleID]];
	return [defaults objectForKey: key];
}

- (void)setAudioFollowsJack: (BOOL)flag
{
	[self _storeValue: [NSNumber numberWithBool: flag] forKey: @"audioFollowsJack"];
}

- (BOOL)audioFollowsJack
{
	return [[self _loadValueForKey: @"audioFollowsJack"] boolValue];
}

@end
